angular.module('PottersApp')
.controller('ArticleListCtrl', function ($scope, $rootScope, localStorageService, fetchArticles) {
    $scope.orderProp = 'id';
    if ($scope.articles == null) {
        fetchArticles.getArticles().then(function (response) {
            $scope.articles = response;
            $rootScope.$broadcast('fetchedArticles', response);
            localStorageService.add('lifeonresort', $scope.articles);
        })
    } else {
        fetchArticles.getArticles().then(function (response) {
            $rootScope.$broadcast('fetchedArticles', response);
            localStorageService.add('lifeonresort', $scope.articles);
            $scope.articles = localStorageService.get('lifeonresort');
        })
    }
})
.controller('ArticleDetailCtrl', function ($scope, $stateParams, $http) {
    $http.get('http://www.pottersholidays.com/json-articles/' + $stateParams.articleid + '/article').success(function (data) {
        $scope.articles = data;
        $scope.article = $scope.articles[0];
        $scope.articletype = $scope.articles[0].articletype;
        $scope.copy = $scope.articles[0].article;
    });

});