angular.module('PottersApp')
// Break Planner View
.controller('BreakPlannerCtrl', function ($scope, $rootScope, $famous, localStorageService, fetchBreaks) {
    $scope.orderProp = 'datetime';
    if ($scope.breaks == null) {
        fetchBreaks.getBreaks().then(function (response) {
            $scope.breaks = response;
            $rootScope.$broadcast('fetchedBreaks', response);
            localStorageService.add('breakplanner', $scope.breaks);
        })
    } else {
        fetchBreaks.getBreaks().then(function (response) {
            $rootScope.$broadcast('fetchedBreaks', response);
            localStorageService.add('breakplanner', $scope.breaks);
            $scope.breaks = localStorageService.get('breakplanner');
        })
    }
});