angular.module('PottersApp')
// Specials List
.controller('SpecialDetailCtrl', function ($scope, $rootScope, $famous, localStorageService, fetchActs) {
    $scope.orderProp = 'datetime';
    if ($scope.acts == null) {
        fetchActs.getActs().then(function (response) {
            $scope.acts = response;
            $rootScope.$broadcast('fetchedAct', response);
            localStorageService.add('specials', $scope.acts);
        })
    } else {
        fetchActs.getActs().then(function (response) {
            $rootScope.$broadcast('fetchedAct', response);
            localStorageService.add('specials', $scope.acts);
            $scope.acts = localStorageService.get('specials');
        })
    }
});